From b8cefd9bfd46ab723b7044fdceb007a4d02ca65b Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Sun, 21 Jan 2018 23:42:20 +0100
Subject: [PATCH 3/3] Allow spaces in connectionstrings

Connectionstrings can have items with spaces in them, wrapped in
quotes. The tests however ran a SELECT '$connstr' upon connection
which broke on the embedded quotes. Use doubledollar quotes on the
connstr to protect against this. This was hit during the test of
the macOS Secure Transport patch, but is independent of it.
---
 src/test/ssl/ServerSetup.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/test/ssl/ServerSetup.pm b/src/test/ssl/ServerSetup.pm
index c645ab2bc4..a419d29c94 100644
--- a/src/test/ssl/ServerSetup.pm
+++ b/src/test/ssl/ServerSetup.pm
@@ -42,7 +42,7 @@ sub run_test_psql
 	my $logstring = $_[1];
 
 	my $cmd = [
-		'psql', '-X', '-A', '-t', '-c', "SELECT 'connected with $connstr'",
+		'psql', '-X', '-A', '-t', '-c', "SELECT \$\$connected with $connstr\$\$",
 		'-d', "$connstr" ];
 
 	my $result = run_log($cmd);
-- 
2.14.1.145.gb3622a4ee

